"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.badgerFactory = void 0;
const badgerFactory = ({ checkConfig, editReadme, logger, getExitCodeOnError }) => () => {
    const { logInfo, logError } = logger();
    logInfo('Istanbul Badges Readme process started');
    return checkConfig()
        .then(() => editReadme())
        .catch((error) => {
        logError(`${error}`);
        logError('Please refer to the documentation');
        logError('https://github.com/olavoparno/istanbul-badges-readme/blob/master/README.md');
    })
        .finally(() => {
        const exitCode = getExitCodeOnError === null || getExitCodeOnError === void 0 ? void 0 : getExitCodeOnError();
        logInfo('Istanbul Badges Readme process finished');
        if (exitCode) {
            process.exit(exitCode);
        }
    });
};
exports.badgerFactory = badgerFactory;
//# sourceMappingURL=factory.js.map